Bug 138536 - CAN-2004-1056 insufficient locking checks in DRM code
CAN-2004-1056 insufficient locking checks in DRM code
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
impact=moderate,public=20041109
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-09 15:10 EST by Josh Bressers
Modified: 2015-01-04 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 20:40:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-11-09 15:10:43 EST
Stefan Dirsch reported to the freedesktop.org bugzilla an issue with
permissions within the DRM code.

See this url for more information, including a patch.
https://freedesktop.org/bugzilla/show_bug.cgi?id=1803

This issue should also affect FC2.
Comment 1 Mike A. Harris 2004-11-10 15:37:10 EST
The DRM is part of the kernel, however the DRM source code is in
both the kernel and X sources.  We should patch it in both places,
but the pressing issue is a kernel security issue rather than an
X issue.  Once the kernel is patched, please pass the final patch
back to the X team so we can ensure the patch gets integrated into
the upstream X.Org CVS also for people who do actually build DRM
from the X sources.

TIA.

Note You need to log in before you can comment on or make changes to this bug.